Package com.usatiuk.dhfs.webui

# Class WebUiRouter

java.lang.Object
com.usatiuk.dhfs.webui.WebUiRouter

@ApplicationScoped public class WebUiRouter extends Object

## Constructor Summary

Constructors
Constructor
Description
`WebUiRouter(Optional<String> root)`

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(io.vertx.ext.web.RoutingContext event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebUiRouter

public WebUiRouter(Optional<String> root)

## Method Details

### handle

public void handle(io.vertx.ext.web.RoutingContext event)